Skip to main content
POST
/
api
/
svc
/
v1
/
users
/
change-password
Change password
curl --request POST \
  --url https://{controlPlaneURL}/api/svc/v1/users/change-password \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "loginId": "user@example.com",
  "newPassword": "<string>",
  "oldPassword": "<string>"
}
'
{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
loginId
string
required

Email address of the user changing their password.

Example:

"user@example.com"

newPassword
string
required

New password (minimum 8 characters).

oldPassword
string
required

Current password of the user for verification.

Response

200 - application/json

The password has been changed successfully.

The response is of type ChangePasswordResponse · object.